%{?!PEGASUS_BUILD_TEST_RPM:     %global PEGASUS_BUILD_TEST_RPM        0}
# do "rpmbuild --define 'PEGASUS_BUILD_TEST_RPM 1'" to build test RPM.

%global srcname pegasus
%global major_ver 2.12
%global pegasus_gid 65
%global pegasus_uid 66

Name:           tog-pegasus
Version:        %{major_ver}.0
Release:        2%{?dist}
Epoch:          2
Summary:        OpenPegasus WBEM Services for Linux

Group:          System Environment/Daemons
License:        MIT
URL:            http://www.openpegasus.org
Source0:        http://www.openpegasus.org//uploads/40/21822/pegasus-%{version}.tar.gz
#  1: Description of security enhacements
Source1:        README.RedHat.Security
#  2: Script for setting SSL certificates - used in init script when cimserver is started for the first time
Source2:        genOpenPegasusSSLCerts
#  3: Description of SSL settings
Source3:        README.RedHat.SSL
#  4: /etc/tmpfiles.d configuration file
Source4:        tog-pegasus.tmpfiles
#  5: systemd service file
Source5:        tog-pegasus.service
#  6: This file controls access to the Pegasus services by users with the PAM pam_access module
Source6:        access.conf

#  1: http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5011
#     Removing insecure -rpath
Patch1:         pegasus-2.9.0-no-rpath.patch
#  2: Adding -fPIE
Patch2:         pegasus-2.7.0-PIE.patch
#  3: http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5016
#     Configuration variables
Patch3:         pegasus-2.9.0-redhat-config.patch
#  4: don't see how http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5099 fixed it
#     Changing provider dir to the directory we use
Patch4:         pegasus-2.9.0-cmpi-provider-lib.patch
#  5: http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5010
#     We distinguish between local and remote user and behave adequately (will be upstream once)
Patch5:         pegasus-2.9.0-local-or-remote-auth.patch
#  6: http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5012
#     Modifies pam rules to use access cofiguration file and local/remote differences
Patch6:         pegasus-2.5.1-pam-wbem.patch
#  7: http://cvs.rdg.opengroup.org/bugzilla/show_bug.cgi?id=5006
#     Modifies Makefile for the tests
Patch7:         pegasus-2.9.0-fix_tests.patch
#  9: Adds cimuser binary to admin commands
Patch9:         pegasus-2.6.0-cimuser.patch
# 12: Removes snmp tests, which we don't want to perform
Patch12:        pegasus-2.7.0-no_snmp_tests.patch
# 13: Changes to make package compile on sparc
Patch13:        pegasus-2.9.0-sparc.patch
# 16: Fixes "getpagesize" build error
Patch16:        pegasus-2.9.1-getpagesize.patch
# 19: Don't strip binaries, add -g flag
Patch19:        pegasus-2.10.0-dont-strip.patch
# 20: use posix locks on sparc arches
Patch20:        pegasus-2.10.0-sparc-posix-lock.patch
# 21: temporarily disable privilege separation, the package doesn't work with it, it's
#     necessary to prepare it first
Patch21:        pegasus-2.11.1-disable-privilege-separation.patch
# 22: Fix CMPI enumGetNext function to change CMPI Data state from default CMPI_nullValue
#     to CMPI_goodValue when it finds and returns next instance correctly
Patch22:        pegasus-2.12.0-null_value.patch
# 23: Enables Interop Provider - necessary to e. g. register CMPI providers
Patch23:        pegasus-2.12.0-enable_interop_provider.patch

BuildRequires:  bash, sed, grep, coreutils, procps, gcc, gcc-c++
BuildRequires:  libstdc++, make, pam-devel
BuildRequires:  openssl, openssl-devel
BuildRequires:  net-snmp-devel, openslp-devel
BuildRequires:  systemd-units
Requires:       net-snmp
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}
Provides:       cim-server

%description
OpenPegasus WBEM Services for Linux enables management solutions that deliver
increased control of enterprise resources. WBEM is a platform and resource
independent DMTF standard that defines a common information model and
communication protocol for monitoring and controlling resources from diverse
sources.

%package devel
Summary:        The OpenPegasus Software Development Kit
Group:          Development/Tools
Requires:       tog-pegasus >= %{version}-%{release}
Obsoletes:      tog-pegasus-sdk

%description devel
The OpenPegasus WBEM Services for Linux SDK is the developer's kit for the
OpenPegasus WBEM Services for Linux release. It provides Linux C++ developers
with the WBEM files required to build WBEM Clients and Providers. It also
supports C provider developers via the CMPI interface.

%package libs
Summary:        The OpenPegasus Libraries
Group:          System Environment/Libraries
Conflicts:      libcmpiCppImpl0
Requires(pre):  /usr/sbin/useradd
Requires(pre):  /usr/sbin/groupadd

%description libs
The OpenPegasus libraries.

%if %{PEGASUS_BUILD_TEST_RPM}
%package test
Summary:        The OpenPegasus Tests
Group:          Development/Debug
Requires:       tog-pegasus >= %{version}-%{release}, make

%description test
The OpenPegasus WBEM tests for the OpenPegasus %{version} Linux rpm.
%endif


%ifarch ia64
%global PEGASUS_HARDWARE_PLATFORM LINUX_IA64_GNU
%endif
%ifarch x86_64
%global PEGASUS_HARDWARE_PLATFORM LINUX_X86_64_GNU
%endif
%ifarch ppc
%global PEGASUS_HARDWARE_PLATFORM LINUX_PPC_GNU
%endif
%ifarch ppc64
%global PEGASUS_HARDWARE_PLATFORM LINUX_PPC64_GNU
%endif
%ifarch s390
%global PEGASUS_HARDWARE_PLATFORM LINUX_ZSERIES_GNU
%endif
%ifarch s390x
%global PEGASUS_HARDWARE_PLATFORM LINUX_ZSERIES64_GNU
%endif
%ifarch sparcv9
%global PEGASUS_HARDWARE_PLATFORM LINUX_SPARCV9_GNU
%endif
%ifarch sparc64
%global PEGASUS_HARDWARE_PLATFORM LINUX_SPARC64_GNU
%endif
%ifarch %{ix86}
%global PEGASUS_HARDWARE_PLATFORM LINUX_IX86_GNU
%endif
%ifarch %{arm}
%global PEGASUS_HARDWARE_PLATFORM LINUX_XSCALE_GNU
%endif

%global PEGASUS_ARCH_LIB %{_lib}
%global OPENSSL_HOME /usr
%global OPENSSL_BIN /usr/bin
%global PEGASUS_PEM_DIR /etc/Pegasus
%global PEGASUS_SSL_CERT_FILE server.pem
%global PEGASUS_SSL_KEY_FILE file.pem
%global PEGASUS_SSL_TRUSTSTORE client.pem
%global PAM_CONFIG_DIR /etc/pam.d
%global PEGASUS_CONFIG_DIR /etc/Pegasus
%global PEGASUS_VARDATA_DIR /var/lib/Pegasus
%global PEGASUS_VARDATA_CACHE_DIR /var/lib/Pegasus/cache
%global PEGASUS_LOCAL_DOMAIN_SOCKET_PATH  /var/run/tog-pegasus/socket/cimxml.socket
%global PEGASUS_CIMSERVER_START_FILE /var/run/tog-pegasus/cimserver.pid
%global PEGASUS_TRACE_FILE_PATH /var/lib/Pegasus/cache/trace/cimserver.trc
%global PEGASUS_CIMSERVER_START_LOCK_FILE /var/run/tog-pegasus/cimserver_start.lock
%global PEGASUS_REPOSITORY_DIR /var/lib/Pegasus/repository
%global PEGASUS_PREV_REPOSITORY_DIR_NAME prev_repository
%global PEGASUS_REPOSITORY_PARENT_DIR /var/lib/Pegasus
%global PEGASUS_PREV_REPOSITORY_DIR /var/lib/PegasusXXX/prev_repository
%global PEGASUS_SBIN_DIR /usr/sbin
%global PEGASUS_DOC_DIR /usr/share/doc/%{name}-%{version}

%global PEGASUS_RPM_ROOT $RPM_BUILD_DIR/%{srcname}
%global PEGASUS_RPM_HOME %PEGASUS_RPM_ROOT/build
%global PEGASUS_INSTALL_LOG /var/lib/Pegasus/log/install.log


%prep
%setup -q -n %{srcname}
# upstream tarball has wrong structure - pegasus/pegasus/
cp -pR pegasus/* .
rm -rf pegasus/
%patch1 -p1 -b .no-rpath
%patch2 -p1 -b .PIE
%patch3 -p1 -b .redhat-config
%patch4 -p1 -b .cmpi-provider-lib
%patch6 -p1 -b .pam-wbem
%patch7 -p1 -b .fix-tests
%patch9 -p1 -b .cimuser
%patch12 -p1 -b .no_snmp_tests
%patch5 -p1 -b .local-or-remote-auth
%patch13 -p1 -b .sparc
%patch16 -p1 -b .getpagesize
%patch19 -p1 -b .dont-strip
%patch20 -p1 -b .sparc-locks
%patch21 -p1 -b .disable-privilege-separation
%patch22 -p1 -b .null_value
%patch23 -p1 -b .enable_interop_provider


%build
cp -fp %SOURCE1 doc
cp -fp %SOURCE2 rpm
cp -fp %SOURCE3 doc
cp -fp %SOURCE6 rpm

export PEGASUS_ROOT=%PEGASUS_RPM_ROOT
export PEGASUS_HOME=%PEGASUS_RPM_HOME
export PEGASUS_PLATFORM=%PEGASUS_HARDWARE_PLATFORM
export PEGASUS_ARCH_LIB=%PEGASUS_ARCH_LIB
export PEGASUS_ENVVAR_FILE=$PEGASUS_ROOT/env_var_Linux.status

export OPENSSL_HOME=%OPENSSL_HOME
export OPENSSL_BIN=%OPENSSL_BIN
export LD_LIBRARY_PATH=$PEGASUS_HOME/lib
export PATH=$PEGASUS_HOME/bin:$PATH

export PEGASUS_EXTRA_C_FLAGS="$RPM_OPT_FLAGS -fPIC -g -Wall -Wno-unused"
export PEGASUS_EXTRA_CXX_FLAGS="$PEGASUS_EXTRA_C_FLAGS"
export PEGASUS_EXTRA_LINK_FLAGS="$RPM_OPT_FLAGS"
export PEGASUS_EXTRA_PROGRAM_LINK_FLAGS="-g -pie -Wl,-z,relro,-z,now,-z,nodlopen,-z,noexecstack"
export SYS_INCLUDES=-I/usr/kerberos/include

make %{?_smp_mflags} -f ${PEGASUS_ROOT}/Makefile.Release create_ProductVersionFile
make %{?_smp_mflags} -f ${PEGASUS_ROOT}/Makefile.Release create_CommonProductDirectoriesInclude
make %{?_smp_mflags} -f ${PEGASUS_ROOT}/Makefile.Release create_ConfigProductDirectoriesInclude
make %{?_smp_mflags} -f ${PEGASUS_ROOT}/Makefile.Release all
make %{?_smp_mflags} -f ${PEGASUS_ROOT}/Makefile.Release repository


%install
export PEGASUS_ROOT=%PEGASUS_RPM_ROOT
export PEGASUS_HOME=%PEGASUS_RPM_HOME
export PEGASUS_PLATFORM=%PEGASUS_HARDWARE_PLATFORM
export PEGASUS_ARCH_LIB=%PEGASUS_ARCH_LIB
export PEGASUS_ENVVAR_FILE=$PEGASUS_ROOT/env_var_Linux.status

export OPENSSL_BIN=%OPENSSL_BIN
export LD_LIBRARY_PATH=$PEGASUS_HOME/lib
export PATH=$PEGASUS_HOME/bin:$PATH

export PEGASUS_STAGING_DIR=$RPM_BUILD_ROOT
%if %{PEGASUS_BUILD_TEST_RPM}
make -f $PEGASUS_ROOT/Makefile.Release stage \
    PEGASUS_STAGING_DIR=$PEGASUS_STAGING_DIR \
    PEGASUS_BUILD_TEST_RPM=%{PEGASUS_BUILD_TEST_RPM}
%else
make -f $PEGASUS_ROOT/Makefile.Release stage \
    PEGASUS_STAGING_DIR=$PEGASUS_STAGING_DIR
%endif

%if %{?fedora}0 > 140 || %{?rhel}0 > 60
    install -p -D -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/tmpfiles.d/tog-pegasus.conf
%endif

# remove SysV initscript, install .service file
rm -f $RPM_BUILD_ROOT/etc/init.d/tog-pegasus
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_unitdir}/tog-pegasus.service
# cimserver_planned.conf is on the right place since 2.9.2 (update - not in 2.10.0)
#mv $RPM_BUILD_ROOT/var/lib/Pegasus/cimserver_planned.conf $RPM_BUILD_ROOT/etc/Pegasus/cimserver_planned.conf
mkdir -p $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{major_ver}/* $RPM_BUILD_ROOT/%{_docdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{major_ver}
# create symlink for libcmpiCppImpl
pushd $RPM_BUILD_ROOT/usr/%{_lib}
ln -s libcmpiCppImpl.so.1 libcmpiCppImpl.so
popd


%files
%defattr(0640, root, pegasus, 0750)
%verify(not md5 size mtime mode group) /var/lib/Pegasus/repository
%defattr(0644, root, pegasus, 0755)
/usr/share/Pegasus/mof
%dir /usr/share/Pegasus
%defattr(0755, root, pegasus, 0750)
/usr/share/Pegasus/scripts
%defattr(0640, root, pegasus, 0750)
%dir /var/lib/Pegasus
/var/lib/Pegasus/cache
%dir /var/lib/Pegasus/log
%defattr(0640, root, pegasus, 0750)
%dir /etc/Pegasus
%if %{?fedora}0 > 140 || %{?rhel}0 > 60
    %config(noreplace) %{_sysconfdir}/tmpfiles.d/tog-pegasus.conf
%endif
%ghost /var/run/tog-pegasus
%ghost %attr(0640, root, pegasus) /var/run/tog-pegasus/cimserver.pid
%ghost %attr(0640, root, pegasus) /var/run/tog-pegasus/cimserver_start.lock
%ghost %attr(1640,root,pegasus) /var/run/tog-pegasus/cimxml.socket
%{_unitdir}/tog-pegasus.service
%defattr(0640, root, pegasus, 0750)
%ghost %attr(0640, root, pegasus) %config(noreplace) /etc/Pegasus/cimserver_current.conf
%ghost %config(noreplace) /etc/Pegasus/cimserver_planned.conf
%config(noreplace) /etc/Pegasus/access.conf
%config(noreplace) /etc/pam.d/wbem
%ghost /etc/Pegasus/ssl.cnf
%ghost /etc/Pegasus/client.pem
%ghost /etc/Pegasus/server.pem
%ghost /etc/Pegasus/file.pem
%ghost %attr(0640, root, pegasus) /etc/Pegasus/cimserver_trust
%ghost %attr(0640, root, pegasus) /etc/Pegasus/indication_trust
%ghost %attr(0640, root, pegasus) /etc/Pegasus/crl
%ghost %verify(not md5 size mtime) /var/lib/Pegasus/log/install.log
%ghost %attr(0640, root, pegasus) %verify(not md5 size mtime) /var/lib/Pegasus/cache/trace/cimserver.trc
%defattr(0755, root, pegasus, 0755)
/usr/sbin/*
/usr/bin/*
%defattr(0644, root, pegasus, 0755)
/usr/share/man/man8/*
/usr/share/man/man1/*
%doc doc/license.txt doc/Admin_Guide_Release.pdf doc/PegasusSSLGuidelines.htm doc/SecurityGuidelinesForDevelopers.html doc/README.RedHat.Security src/Clients/repupgrade/doc/repupgrade.html doc/README.RedHat.SSL

%files devel
%defattr(0644,root,pegasus,0755)
/usr/share/Pegasus/samples
/usr/include/Pegasus
/usr/share/Pegasus/html

%files libs
%defattr(0755, root, pegasus, 0750)
%{_libdir}/*
%exclude /usr/lib/debug

%if %{PEGASUS_BUILD_TEST_RPM}
%files test
%defattr(0644,root,pegasus,0755)
%dir /usr/share/Pegasus/test
/usr/share/Pegasus/test/Makefile
/usr/share/Pegasus/test/mak
%dir /usr/share/Pegasus/test/tmp
%ghost /usr/share/Pegasus/test/tmp/procIdFile
%ghost /usr/share/Pegasus/test/tmp/trapLogFile
%ghost /usr/share/Pegasus/test/tmp/IndicationStressTestLog
%ghost /usr/share/Pegasus/test/tmp/oldIndicationStressTestLog
%verify(not md5 size mtime) /var/lib/Pegasus/testrepository
%defattr(0750,root,pegasus,0755)
/usr/share/Pegasus/test/bin
/usr/share/Pegasus/test/%PEGASUS_ARCH_LIB
%endif


%pre
if [ $1 -gt 1 ]; then
   if [ -d /var/lib/Pegasus/repository ]; then
        if [ -d /var/lib/Pegasus/prev_repository ]; then
           mv /var/lib/Pegasus/prev_repository /var/lib/Pegasus/prev_repository_`date '+%Y-%m-%d-%s.%N'`.rpmsave;
        fi;
        mv /var/lib/Pegasus/repository /var/lib/Pegasus/prev_repository;
   fi
fi
:;

%post
install -d -m 1750 -o root -g pegasus /var/run/tog-pegasus
restorecon /var/run/tog-pegasus
/sbin/ldconfig;
if [ $1 -ge 1 ]; then
   echo `date` >>  /var/lib/Pegasus/log/install.log 2>&1 || :;
   if [ $1 -eq 1 ] ; then
      # Initial installation
      if [ ! -e /etc/Pegasus/ssl.cnf ] || [ ! -e /etc/Pegasus/server.pem ] ||                                                                                                                          
         [ ! -e /etc/Pegasus/file.pem ]  || [ ! -e /etc/Pegasus/client.pem ]; then
         if [ -x /usr/share/Pegasus/scripts/genOpenPegasusSSLCerts ]; then
            /usr/share/Pegasus/scripts/genOpenPegasusSSLCerts
         fi;
      fi;
      /bin/systemctl daemon-reload >/dev/null 2>&1 || :
   fi
   if [ $1 -gt 1 ]; then
      if [ -d /var/lib/Pegasus/prev_repository ]; then
      #  The user's old repository was moved to /var/lib/Pegasus/prev_repository, which 
      #  now must be upgraded to the new repository in /var/lib/Pegasus/repository:
         /usr/sbin/repupgrade 2>> /var/lib/Pegasus/log/install.log || :;
         mv /var/lib/Pegasus/prev_repository /var/lib/Pegasus/prev_repository_`date '+%Y-%m-%d-%s.%N'`.rpmsave;
      fi;
      /bin/systemctl try-restart tog-pegasus.service >/dev/null 2>&1 || :;
   fi;
fi
:;

%preun
if [ $1 -eq 0 ]; then                  
   # Package removal, not upgrade     
   /bin/systemctl --no-reload disable tog-pegasus.service > /dev/null 2>&1 || :
   /bin/systemctl stop tog-pegasus.service > /dev/null 2>&1 || :
   rm -rf /var/run/tog-pegasus
fi
:;

%postun
/sbin/ldconfig
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then                 
   # Package upgrade, not uninstall   
   /bin/systemctl try-restart tog-pegasus.service >/dev/null 2>&1 || :
fi 

%preun devel
if [ $1 -eq 0 ] ; then
   make --directory /usr/share/Pegasus/samples -s clean >/dev/null 2>&1 || :;
fi
:;

%pre libs
if [ $1 -eq 1 ]; then
#  first install: create the 'pegasus' user and group:
   /usr/sbin/groupadd -g %{pegasus_gid} -f -r pegasus >/dev/null 2>&1 || :; 
   /usr/sbin/useradd -u %{pegasus_uid} -r -N -M -g pegasus -s /sbin/nologin -d /var/lib/Pegasus \
     -c "tog-pegasus OpenPegasus WBEM/CIM services" pegasus >/dev/null 2>&1 || :;
fi
:;

%post libs
if [ $1 -eq 1 ]; then
   # Create Symbolic Links for SDK Libraries
   #
   ln -sf libpegclient.so.1 /usr/%PEGASUS_ARCH_LIB/libpegclient.so
   ln -sf libpegcommon.so.1 /usr/%PEGASUS_ARCH_LIB/libpegcommon.so
   ln -sf libpegprovider.so.1 /usr/%PEGASUS_ARCH_LIB/libpegprovider.so
   ln -sf libDefaultProviderManager.so.1 /usr/%PEGASUS_ARCH_LIB/libDefaultProviderManager.so
   ln -sf libCIMxmlIndicationHandler.so.1 /usr/%PEGASUS_ARCH_LIB/libCIMxmlIndicationHandler.so
   ln -sf libsnmpIndicationHandler.so.1 /usr/%PEGASUS_ARCH_LIB/libsnmpIndicationHandler.so

   # Create Symbolic Links for Packaged Provider Libraries
   #
   ln -sf libComputerSystemProvider.so.1 /usr/%PEGASUS_ARCH_LIB/Pegasus/providers/libComputerSystemProvider.so
   ln -sf libOSProvider.so.1 /usr/%PEGASUS_ARCH_LIB/Pegasus/providers/libOSProvider.so
   ln -sf libProcessProvider.so.1 /usr/%PEGASUS_ARCH_LIB/Pegasus/providers/libProcessProvider.so

   # Create Symbolic Links for Packaged Provider Managers
   #
   ln -sf libCMPIProviderManager.so.1 /usr/%PEGASUS_ARCH_LIB/Pegasus/providerManagers/libCMPIProviderManager.so

   # Change ownership of Symbolic Links to the 'pegasus' group
   #
   /bin/chgrp -h pegasus /usr/%{_lib}/libpegclient.so
   /bin/chgrp -h pegasus /usr/%{_lib}/libpegcommon.so 
   /bin/chgrp -h pegasus /usr/%{_lib}/libpegprovider.so
   /bin/chgrp -h pegasus /usr/%{_lib}/libDefaultProviderManager.so
   /bin/chgrp -h pegasus /usr/%{_lib}/libCIMxmlIndicationHandler.so
   /bin/chgrp -h pegasus /usr/%{_lib}/libsnmpIndicationHandler.so
   /bin/chgrp -h pegasus /usr/%{_lib}/Pegasus/providers/libComputerSystemProvider.so
   /bin/chgrp -h pegasus /usr/%{_lib}/Pegasus/providers/libOSProvider.so
   /bin/chgrp -h pegasus /usr/%{_lib}/Pegasus/providers/libProcessProvider.so
   /bin/chgrp -h pegasus /usr/%{_lib}/Pegasus/providerManagers/libCMPIProviderManager.so
fi
:;
/sbin/ldconfig
 
%postun libs
/sbin/ldconfig


%changelog
* Tue Nov 20 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.12.0-2
- Set PEGASUS_ENABLE_INTEROP_PROVIDER=true (fixes registration of CMPI providers)
- Move .so links back to main package (they are necessary to be present for a user
  to use or execute the functionality in the base package properly)

* Wed Nov 14 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.12.0-1
- Update to upstream version 2.12.0
- Call ldconfig in %%post/%%postun of -libs subpackage
- Move .so links to -devel subpackage
- Fix local-or-remote-auth patch to work with IPv6
- Distribute modified access.conf file to conform README.RedHat.Security

* Thu Oct 25 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-11
- Apply patch fixing enumGetNext, wasn't applied by mistake

* Thu Oct 25 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-10
- Fix permissions for executables
- Fix CMPI enumGetNext function to change CMPI Data state from default CMPI_nullValue
  to CMPI_goodValue when it finds and returns next instance correctly
- Enable processing of ExecQuery operations

* Tue Jul 31 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-9
- Fix security context of /var/run/tog-pegasus in post install scriptlet

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.11.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 28 2012 Peter Robinson <pbrobinson@fedoraproject.org> - 2:2.11.1-7
- Add options for ARM arch, cleanup ARCH directives
- Add openssl base package

* Mon May 21 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-6
- Add systemd support

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.11.1-5
- Rebuilt for c++ ABI breakage

* Mon Feb 06 2012 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-4
- Add missing useradd/groupadd dependency to tog-pegasus-libs
  Resolves: #786888

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 01 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-2
- Fix post created symlinks group owner to 'pegasus'

* Tue Sep 27 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.1-1
- Update to upstream version 2.11.1
- Add explicit file attributes where RPM requires it
- Disable privilege separation feature

* Mon Jul 18 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.0-2
- Rebuild

* Thu May 19 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.11.0-1
- Update to upstream version 2.11.0

* Tue Apr 05 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.10.0-6
- Add -g flag for compiler

* Wed Mar 30 2011 Dennis Gilmore <dennis@ausil.us> - 2:2.10.0-5
- use posix locks on sparc linux arches

* Tue Mar 22 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.10.0-4
- Use %%ghost for /var/run/tog-pegasus
  Resolves: #656705

* Tue Mar 01 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.10.0-3
- Don't strip binaries

* Thu Feb 17 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.10.0-2
- Remove dubuginfo files from -libs subpackage

* Wed Feb 16 2011 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.10.0-1
- Update to upstream version 2.10.0
- Move creating of the 'pegasus' user and group to the 'libs' %%pre
- Use %%global instead of %%define and some minor spec file cleaning

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 15 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.2-2
- Fix provides

* Wed Nov  3 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.2-1
- Update to upstream version 2.9.2
- Mark files in /var/lib/Pegasus as noverify in spec file
- Fix initscript permissions
- Add patch/source descriptions to the spec file
- Cleanup the spec file, use upstream Makefile

* Thu Apr 22 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-11
- Fix initscript permissions

* Thu Jan 21 2010 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-10
- Add cimsub to the pegasus_arch_alternatives script
  Resolves: #543956

* Mon Nov  2 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-9
- Fix wrong multilib flag for ix86 arch

* Wed Sep 30 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-8
- Rebuilt with new net-snmp

* Wed Sep 23 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-7
- Fix initscript
  Resolves: #523370

* Wed Sep 16 2009 Tomas Mraz <tmraz@redhat.com> - 2:2.9.0-6
- Use password-auth common PAM configuration instead of system-auth

* Wed Aug 25 2009 Tomas Mraz <tmraz@redhat.com> - 2:2.9.0-5
- rebuilt with new openssl

* Wed Aug 19 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-4
- Fix Source (but I'm afraid it's not very persistent and it will
  not work again after some time)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-2
- Fix Group

* Mon Jun 16 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.9.0-1
- Update to upstream version 2.9.0
- Remove redhat-lsb requires
- Add README.RedHat.SSL

* Thu Apr 16 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.2-8
- Replace useradd '-n' option by '-N' ('-n' is obsolete)
  Resolves: #495729

* Tue Mar  3 2009 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.2-7
- Add noreplace to config files

* Sat Feb 28 2009 Caolán McNamara <caolanm@redhat.com> - 2:2.7.2-6
- fix elif

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2:2.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 02 2009 Dennis Gilmore < dennis@ausil.us> - 2:2.7.2-4
- apply sparc fixes

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> - 2:2.7.2-3
- rebuild with new openssl

* Tue Nov 11 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.2-2
- Fix local or remote auth patch to work correctly with new code base
  Related: #459217

* Thu Nov  6 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.2-1
- Update to upstream version 2.7.2
  (remove patches added in 2.7.1-1 - they're upstream now)
- Enable out-of-process providers
  Resolves: #455109

* Mon Sep  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2:2.7.1-2
- fix license tag

* Tue Jul 15 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.1-1
- Update to upstream version 2.7.1
- Fix setElementAt() doesn't copy value of CMPI_char parameter
  Resolves: #454589
- Fix CMPI MI factories that return errors are unsupported
  Resolves: #454590
- Fix HTTP 401 responses lack Content-Length headers
  Resolves: #454591

* Tue Jul  1 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-9
- Add SNMP indication handler to package
  Resolves: #452930

* Tue Jun  3 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-8
- Add cimsub to package
  Resolves: #447823

* Thu May 15 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-7
- Rebuild

* Mon Feb 11 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-6
- Rebuild

* Mon Jan 21 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-5
- No snmp tests in Test RPM

* Thu Jan 10 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-4
- Fix Test RPM

* Wed Dec  5 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-3
- Rebuild

* Fri Nov 23 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-2
- Fix OpenPegasus SRPM fails to build Test RPM
  Resolves: #391961

* Mon Nov 19 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.7.0-1
- Update to upstream version 2.7.0
- Unhide some cmpi classes, package cmpi C++ headers
- Fix multiarch conflicts
  Resolves: #343311
- Add libcmpiCppImpl.so (symlink to libcmpiCppImpl.so.1)
  Resolves: #366871

* Tue Oct  9 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.6.1-2
- Fix files permissions
  Resolves: #200906

* Thu Aug 30 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.6.1-1
- Update to 2.6.1
- Fix wrong init script (#245339)

* Wed Mar 28 2007 Vitezslav Crhonek <vcrhonek@redhat.com> - 2:2.6.0-2
- Update changelog
- Build with Open Pegasus' Makefiles, istall with Red Hats (Mark Hamzy)

* Mon Feb 26 2007 Mark Hamzy <hamzy@us.ibm.com> - 2:2.6.0-1
- Upgrade to upstream version 2.6.0

* Mon Dec  4 2006 Nalin Dahyabhai <nalin@redhat.com> - 2:2.5.2-3
- change requires: tog-pegasus to prereq: tog-pegasus so that the pegasus
  user and group will exist when we go to lay down files for tog-pegasus-devel
  (#218305)
- prereq the current version of openssl so that the right versions of
  libssl and libcrypto will be available in %%post (possible for #208949)

* Fri Aug 18 2006 Jesse Keating <jkeating@redhat.com> - 2:2.5.2-2
- rebuilt with latest binutils to pick up 64K -z commonpagesize on ppc*
  (#203001)

* Thu Jul 27 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.2-1.fc6
- Upgrade to upstream version 2.5.2
- fix bug 198185
- fix bug 200246

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2:2.5.1-10.FC6.1
- rebuild

* Fri Jul 07 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.4.1-10
- More upstream 2.5.2_APPROVED bug fixes:
  o 4629: Pegasus freezes when it is unable to send out completely, the results of a request
  o 5073: Class Names on Reference, ReferenceNames, Assoc, AssocNames returned lower case
  o 5090: cimserver crash on a request after attempting to unload idle CMPI providers
  o 5180: OperationAggregate deleted in _enqueueResponse while member mutex held

* Fri Jun 09 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-8
- Fix bug 192754: remove multilib conflicts
- More upstream 2.5.2_APPROVED bug fixes:
  o 5119: memory leak in CMPI implementation
  o 5115: fix SetConfig_EnvVar comments

* Wed May 31 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-6
- Apply upstream patches for latest 2.5.2_APPROVED bugs:
  o 5046: cimprovider timeout needs to be increased
  o 5047: cimmof timeout needs to be increased
  o 5048: Invalid Pointer in CIMOperationRequestEncoder code
  o 5049: Unnecessary dependency on experimental headers
  o 5051: Improved handling of OOP indication provide module failures
  o 5053: reserveCapacity method may cause size overflow
  o 5059: XMLWriter does not escape '>' in strings
  o 5072: Potential race condition with OOP response chunks
  o 5083: CIMRequestMessage buildResponse() should be const
- Fix bug 193121: restore world read access to libraries

* Tue May 02 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-4
- fix bug 190432: %%exclude /usr/lib/debug from RPM
- fix upstream OpenPegasus '2.5.2_APPROVED' bugs, applying upstream patches:
  o 4955 : Bogus Description property for OperatingSystem provider
  o 4956 : reserveCapacity method may cause size overflow on invalid input
  o 4968 : CMPI provider up-calls cause failure with out-of-process
  o 4978 : snmpDeliverTrap_netsnmp::_createSession function is not thread safe
  o 4983 : Memory leak in OOP indication generation
  o 4984 : Forked process hangs in system call
  o 4986 : Adding automated test for snmpIndication Handler
  (  http://cvs.opengroup.org/bugzilla/show_bug.cgi?id=? )
- apply upstream update to 'pegasus-2.5.1-warnings.patch'

* Mon Apr 17 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-3
- Fix repupgrade (make it use correct paths)

* Fri Apr 14 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-2
- Apply patches for the two '2.5.2_APPROVED' upstream bugzillas
  4934(4943) and 4945 :
  (http://cvs.opengroup.org/bugzilla/buglist.cgi?bug_id=4943%%2C4945)
- Fix the PATH_MAX and MAXHOSTNAMELEN issues (again)

* Thu Apr 06 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5.1-1
- Upgrade to version 2.5.1 (including new upstream .spec file).

* Tue Mar  7 2006 Bill Nottingham <notting@redhat.com> - 2:2.5-9
- use an assigned uid/gid, do not loop over user ids looking for a free one

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2:2.5-6.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-6
- restore SSLv23_method SSL support now that bug 173399 is fixed
- rebuild for new gcc, glibc, glibc-kernheaders
- PAMBasicAuthenticatorUnix.cpp includes no longer include syslog.h: add
- /usr/bin/install now decides to fail if chown fails - set $INSTALL_USER, $INSTALL_GROUP

* Thu Dec 15 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-5
- fix bug 175434 : deal with pegasus uid/gid already existing
  on first install

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com> - 2:2.5-4.1
- rebuilt

* Wed Nov 16 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-4
- fix bug 173401: SSL support broken by openssl-0.9.7g -> 0.9.8a upgrade

* Wed Nov 09 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-3
- Rebuild for new openssl dependencies
- Enable CMPI support for sblim-cmpi-base with ENABLE_CQL=true

* Mon Oct 31 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-2
- Add /usr/lib/cmpi alternate providerLibDir for sblim-cmpi-base Fedora Extras pkg
- Fix bug 171124: use numeric ids for pegasus user/group
- guidelines: do not remove pegasus user/group in %%postun.

* Fri Oct 14 2005 Tomas Mraz <tmraz@redhat.com>
- use include instead of pam_stack in pam config

* Fri Sep 30 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-1
- Implemented new 'make install' target.
- Re-wrote tog-pegasus.spec file from scratch.
- Ported BZ 167986 authentication code and BZ 167164 + BZ 167165 fixes from RHEL-4

* Wed Sep 28 2005 Jason Vas Dias <jvdias@redhat.com> - 2:2.5-0
- Initial build.
